openSUSE Security Update : kdelibs4 (openSUSE-SU-2014:0981-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

KDE4 Libraries and Workspace received a security fix to fix a race
condition in DBUS/Polkit authorization, where local attackers could
potentially call root KDE services without proper authenticiation.
(CVE-2014-5033)

Additionaly a interlaced GIF display bug in KHTML was fixed.
(kde#330148)

This update also includes a kdebase4-workspace minor version update to
4.11.11 with various bugfixes.

See also :

http://lists.opensuse.org/opensuse-updates/2014-08/msg00012.html
https://bugzilla.novell.com/show_bug.cgi?id=819437
https://bugzilla.novell.com/show_bug.cgi?id=864716

Solution :

Update the affected kdelibs4 packages.

Risk factor :

Medium / CVSS Base Score : 6.9
(CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 77129 ()

Bugtraq ID:

CVE ID: CVE-2014-5033

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now